Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Classes | Namespaces | Typedefs | Variables
iplugview.h File Reference
`#include "pluginterfaces/base/funknown.h"`
`#include "pluginterfaces/base/typesizecheck.h"`

## Classes
struct | ViewRect
| Graphical rectangle structure. More...
class | IPlugView
| Plug-in definition of a view. More...
class | IPlugFrame
| Callback interface passed to IPlugView. More...
class | IEventHandler
| Linux event handler interface. More...
class | ITimerHandler
| Linux timer handler interface. More...
class | IRunLoop
| Linux host run loop interface. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.
namespace | Steinberg::Linux

## Typedefs
using | TimerInterval = uint64
using | FileDescriptor = int

## Variables
const FIDString | kPlatformTypeHWND = "HWND"
| The parent parameter in IPlugView::attached() is a HWND handle.
const FIDString | kPlatformTypeHIView = "HIView"
| The parent parameter in IPlugView::attached() is a WindowRef.
const FIDString | kPlatformTypeNSView = "NSView"
| The parent parameter in IPlugView::attached() is a NSView pointer.
const FIDString | kPlatformTypeUIView = "UIView"
| The parent parameter in IPlugView::attached() is a UIView pointer.
const FIDString | kPlatformTypeX11EmbedWindowID = "X11EmbedWindowID"
| The parent parameter in IPlugView::attached() is a X11 Window supporting XEmbed.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.